Endpoints
Invitations
Invitations endpoints of the Elnora REST API.
Base URL https://platform.elnora.ai/api/v1. Authenticate every request with the X-API-Key header — see Authentication.
GET /invitations/{token}
Get invitation details by token (public endpoint for invitation page)
curl https://platform.elnora.ai/api/v1/invitations/{token} \
-H "X-API-Key: $ELNORA_API_KEY"Parameters
| Name | In | Type | Required |
|---|---|---|---|
token | path | string | yes |
Responses: 200 · 404
POST /invitations/{token}/accept
Accept an invitation and join the organization
curl -X POST https://platform.elnora.ai/api/v1/invitations/{token}/accept \
-H "X-API-Key: $ELNORA_API_KEY" \
-H "Content-Type: application/json"Parameters
| Name | In | Type | Required |
|---|---|---|---|
token | path | string | yes |
Responses: 200 · 400 · 401
GET /organizations/{organizationId}/invitations
Get all unaccepted invitations for the organization (both pending and expired).
curl https://platform.elnora.ai/api/v1/organizations/{organizationId}/invitations \
-H "X-API-Key: $ELNORA_API_KEY"Parameters
| Name | In | Type | Required |
|---|---|---|---|
organizationId | path | uuid | yes |
Responses: 200 · 403
POST /organizations/{organizationId}/invitations
Create and send an invitation to join the organization
curl -X POST https://platform.elnora.ai/api/v1/organizations/{organizationId}/invitations \
-H "X-API-Key: $ELNORA_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "email": "user@example.com" }'Parameters
| Name | In | Type | Required |
|---|---|---|---|
organizationId | path | uuid | yes |
Request body
| Field | Type | Required |
|---|---|---|
email | yes | |
role | string | no |
Responses: 200 · 400 · 403
DELETE /organizations/{organizationId}/invitations/{invitationId}
Cancel a pending invitation
curl -X DELETE https://platform.elnora.ai/api/v1/organizations/{organizationId}/invitations/{invitationId} \
-H "X-API-Key: $ELNORA_API_KEY"Parameters
| Name | In | Type | Required |
|---|---|---|---|
organizationId | path | uuid | yes |
invitationId | path | uuid | yes |
Responses: 200 · 400 · 403
POST /organizations/{organizationId}/invitations/{invitationId}/resend
Resend an invitation email.
curl -X POST https://platform.elnora.ai/api/v1/organizations/{organizationId}/invitations/{invitationId}/resend \
-H "X-API-Key: $ELNORA_API_KEY" \
-H "Content-Type: application/json"Parameters
| Name | In | Type | Required |
|---|---|---|---|
organizationId | path | uuid | yes |
invitationId | path | uuid | yes |
Responses: 200 · 400 · 403